<?php
/**
 * Customizer callback functions for active_callback.
 *
 * @package The Blogging
 */

/*select page for slider*/
if ( ! function_exists( 'the_blogging_is_select_slider_layout_1' ) ) :

	/**
	 * Check if slider section page/post is active.
	 *
	 * @since 1.0.0
	 *
	 * @param WP_Customize_Control $control WP_Customize_Control instance.
	 *
	 * @return bool Whether the control is active to the current preview.
	 */
	function the_blogging_is_select_slider_layout_1( $control ) {

		if ( 'twp-slider-1' === $control->manager->get_setting( 'slider_section_layout' )->value() ) {
			return true;
		} else {
			return false;
		}

	}

endif;
/*select page for slider*/
if ( ! function_exists( 'the_blogging_is_select_slider_layout_2' ) ) :

	/**
	 * Check if slider section page/post is active.
	 *
	 * @since 1.0.0
	 *
	 * @param WP_Customize_Control $control WP_Customize_Control instance.
	 *
	 * @return bool Whether the control is active to the current preview.
	 */
	function the_blogging_is_select_slider_layout_2( $control ) {

		if ( 'twp-slider-2' === $control->manager->get_setting( 'slider_section_layout' )->value() ) {
			return true;
		} else {
			return false;
		}

	}

endif;

/*select topbar for slider*/
if ( ! function_exists( 'the_blogging_is_top_bar_section_enable' ) ) :

	/**
	 * Check if slider section page/post is active.
	 *
	 * @since 1.0.0
	 *
	 * @param WP_Customize_Control $control WP_Customize_Control instance.
	 *
	 * @return bool Whether the control is active to the current preview.
	 */
	function the_blogging_is_top_bar_section_enable( $control ) {

		if ( 0 != $control->manager->get_setting( 'show_top_bar_section' )->value() ) {
			return true;
		} else {
			return false;
		}

	}

endif;