<?php
/**
 * Default theme options.
 *
 * @package The Blogging
 */

if ( ! function_exists( 'the_blogging_get_default_theme_options' ) ) :

	/**
	 * Get default theme options
	 *
	 * @since 1.0.0
	 *
	 * @return array Default theme options.
	 */
	function the_blogging_get_default_theme_options() {

		$defaults = array();
		//top bar section
		$defaults['show_top_bar_section']				        = 1;
		$defaults['show_date_top_bar_section']				    = 1;
		$defaults['show_top_menu_top_bar_section']		        = 1;
		$defaults['show_social_menu_top_bar_section']			= 1;
		$defaults['show_browse_more_top_bar_section']			= 1;
		$defaults['title_text_browse_more_top_bar_section']		= esc_html__( 'Browse More', 'the-blogging' );
		$defaults['the_blogging_header_widgets_number']				= 3;
		
		$defaults['show_category_bar_section']				    = 0;
		$defaults['number_of_top_category']				        = 4;
		$defaults['select_category_0']				        	= 1;
		$defaults['title_text_category_bar_section']			= esc_html__( 'Quick View', 'the-blogging' );
		// Slider options.
		$defaults['show_banner_carousel_section']				= 1;
		$defaults['number_of_banner_carousel_section']			= 5;
        $defaults['select_category_for_banner_carousel']		= 0;


		$defaults['show_slider_section']				        = 1;
		$defaults['enable_slider_overlay']				        = 0;
		$defaults['number_of_home_slider']				        = 4;
		$defaults['number_of_content_home_slider']		        = 1;
		$defaults['select_slider_from']					        = 'from-category';
		$defaults['slider_section_layout']				        = 'twp-slider-1';
		$defaults['select-page-for-slider']				        = 0;
		$defaults['select_category_for_slider']			        = 0;
		$defaults['banner_background_color']			        ='#1e1e1e';
		$defaults['banner_text_color']			                = '#ffffff';
        $defaults['select_category_for_post_below_slider']		= 0;
		$defaults['button_text_on_slider']				        = esc_html__( 'Continue Reading', 'the-blogging' );
		
		// featured blog options.
		$defaults['show_feature_blog_section']				= 1;
		$defaults['number_of_content_home_feature_blog']	= 30;
		$defaults['select_category_for_feature_blog']		= 0;
		$defaults['select_featured_blog_background_color']	='#111';
		$defaults['select_featured_blog_text_color']		= '#ffffff';
		$defaults['button_text_for_feature_blog']			= esc_html__( 'Continue Reading', 'the-blogging' );

		// Font and color options.
		$defaults['primary_color']					= '#000000';
		$defaults['secondary_color']				= '#f44141';
		$defaults['tertiary_color']				    = '#FF9800';
        $defaults['footer_background_color']		= '#000';
        $defaults['footer_line_color']				= '#2d2d2d';
		$defaults['footer_text_color']				= '#fff';
		$defaults['copyright_background_color']		= '#111';
		$defaults['copyright_text_color']			= '#fff';


		$defaults['site_identity_font']				= 'Oregano:400,400i';
		
		$defaults['primary_font']					= 'Source+Sans+Pro:400,400italic,600,900,300';
		$defaults['secondary_font']					= 'Nunito+Sans:300,300i,400,400i,600,600i,700,700i';
		$defaults['text_size_h1']					= 36;
		$defaults['medium_article_title']			= 20;
		$defaults['small_article_title']			= 16;
		$defaults['inner_banner_title_size']		= 16;
		$defaults['text_size_p']					= 16;

		// carousel section options.
		$defaults['show_carousel_section']				= 1;
		$defaults['number_of_home_carousel']			= 8;
		$defaults['heading_text_on_carousel']			= esc_html__( 'Recent Post', 'the-blogging' );
		$defaults['select_category_for_carousel']		= 0;

		// carousel section options.
		$defaults['show_full_width_carousel_section']				= 1;
		$defaults['number_of_home_full_width_carousel']			= 8;
		$defaults['heading_text_on_full_width_carousel']			= esc_html__( 'Popular This Week', 'the-blogging' );
		$defaults['select_category_for_full_width_carousel']		= 0;

		// featured_blog section
		$defaults['show_featured_blog_section']			= 1;
		$defaults['heading_text_on_featured_blog']		= esc_html__( 'Featured Blog Post', 'the-blogging' );
		$defaults['select_category_for_featured_blog']	= 0;
		$defaults['featured_blog_background_color']		= '#f7f7f7';
		$defaults['featured_blog_text_color']			= '#000';

		// footer you may have missed section
		$defaults['show_footer_pinned_post_section_section']    = 1;
		$defaults['enable_pined_section_banner_overlay']    = 1;
        $defaults['title_footer_pinned_post']                   = esc_html__('You may also like', 'the-blogging');
        $defaults['select_category_for_footer_pinned_section']  = 0;
        
		//Layout options.
		$defaults['enable_top_header_date']     		= 1;
		$defaults['enable_top_header_search']     		= 1;
		$defaults['enable_overlay_option']     		= 0;
		$defaults['homepage_layout_option']			= 'full-width';
		$defaults['global_layout']					= 'right-sidebar';
		$defaults['excerpt_length_global']			= 50;
		$defaults['archive_layout_image']			= 'full';
		$defaults['pagination_type']				= 'numeric';
		$defaults['enable_copyright_credit']     	= 1;
		$defaults['copyright_text']					= esc_html__( 'Copyright All right reserved', 'the-blogging' );
		$defaults['number_of_footer_widget']		= 3;
		$defaults['breadcrumb_type']				= 'simple';
		$defaults['enable_preloader']				= 1;

		// Pass through filter.
		$defaults = apply_filters( 'the_blogging_filter_default_theme_options', $defaults );

		return $defaults;

	}

endif;
