<?php
/**
 * Template for Off canvas Menu
 * @since The Blogging 1.0.0
 */
?>
<?php 
if (1 != the_blogging_get_option('show_top_bar_section')) {
    return null;
} ?>
    <div class="top-bar hidden-xs hidden-sm">
        <div class="container">
            <div class="header-top">
                <div class="topbar-left">
                    <?php if (1 == the_blogging_get_option('show_date_top_bar_section')) { ?>
                        <div class="nav-date">
                            <?php $time = current_time('l, M j, Y');
                            echo esc_html($time); ?>
                        </div>
                    <?php } ?>

                    <?php if (1 == the_blogging_get_option('show_top_menu_top_bar_section')) { ?>
                        <div id="top-nav" class="auxiliary-nav">
                            <?php wp_nav_menu(array(
                                'theme_location' => 'top',
                                'menu_id' => 'top-menu',
                                'depth'   => 1,
                                'container' => 'div',
                                'menu_class'=> false
                            )); ?>
                        </div>
                    <?php } ?>
                </div>
                <div class="topbar-right">
                    <?php if (1 == the_blogging_get_option('show_social_menu_top_bar_section')){ ?>
                        <div class="social-icons social-icons-main">
                            <?php
                            wp_nav_menu(
                                array('theme_location' => 'social',
                                    'link_before' => '<span class="screen-reader-text">',
                                    'link_after' => '</span>',
                                    'menu_id' => 'social-menu',
                                    'fallback_cb' => false,
                                    'menu_class'=> false
                                )); ?>
                        </div>
                    <?php } ?>
                    <?php if (1 == the_blogging_get_option('show_browse_more_top_bar_section')) { ?>
                        <div class="twp-dropdown">
                            <button id="dropdownLabel" type="button" aria-haspopup="true" aria-expanded="false">
                                <?php echo esc_html(the_blogging_get_option('title_text_browse_more_top_bar_section')); ?> <i class="ion-plus"></i>
                            </button>
                        </div>
                    <?php } ?>
                </div>
            </div>
        </div>
    </div>


<div class="dropdown-widgets">
    <div class="container">
        <div class="row">
            <?php $the_blogging_header_widgets_number = the_blogging_get_option('the_blogging_header_widgets_number');
            if ($the_blogging_header_widgets_number != 0) {?>
                <?php
                if (1 == $the_blogging_header_widgets_number) {
                    $col = 'col-md-12';
                } elseif (2 == $the_blogging_header_widgets_number) {
                    $col = 'col-md-6';
                } elseif (3 == $the_blogging_header_widgets_number) {
                    $col = 'col-md-4';
                } elseif (4 == $the_blogging_header_widgets_number) {
                    $col = 'col-md-3';
                } else {
                    $col = 'col-md-3';
                }
                if (is_active_sidebar('header-col-one') || is_active_sidebar('header-col-two') || is_active_sidebar('header-col-three') || is_active_sidebar('header-col-four')) { ?>
                    <div class="header-widget">
                        <div class="container">
                            <div class="row">
                                <?php if (is_active_sidebar('header-col-one') && $the_blogging_header_widgets_number > 0) : ?>
                                    <div class="header-widget <?php echo esc_attr($col); ?>">
                                        <?php dynamic_sidebar('header-col-one'); ?>
                                    </div>
                                <?php endif; ?>
                                <?php if (is_active_sidebar('header-col-two') && $the_blogging_header_widgets_number > 1) : ?>
                                    <div class="header-widget <?php echo esc_attr($col); ?>">
                                        <?php dynamic_sidebar('header-col-two'); ?>
                                    </div>
                                <?php endif; ?>
                                <?php if (is_active_sidebar('header-col-three') && $the_blogging_header_widgets_number > 2) : ?>
                                    <div class="header-widget <?php echo esc_attr($col); ?>">
                                        <?php dynamic_sidebar('header-col-three'); ?>
                                    </div>
                                <?php endif; ?>
                                <?php if (is_active_sidebar('header-col-four') && $the_blogging_header_widgets_number > 3) : ?>
                                    <div class="header-widget <?php echo esc_attr($col); ?>">
                                        <?php dynamic_sidebar('header-col-four'); ?>
                                    </div>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                <?php } ?>
            <?php } ?>
        </div>
    </div>
</div>

